## nvidia-graphics-drivers-legacy-390xx 390.157

=== debian/changelog ===
nvidia-graphics-drivers-legacy-390xx (390.157-14) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Backport drm_fb_create_takes_format_info changes from 535.274.02 to fix
    kernel module build for Linux 6.17.
  * Backport nv_vma_start_write changes from 570.169.

  [ Luca Boccassi ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Nov 2025 05:28:05 +0100

nvidia-graphics-drivers-legacy-390xx (390.157-13) unstable; urgency=medium

  * Backport ccflags-y and nv_timer_delete_sync changes from 570.153.02 and
    drm_connector_helper_funcs_mode_valid_has_const_mode_arg changes from
    550.163.01 and import tentative fix from CachyOS for avoiding calls to
    GPL-only symbol __vma_start_write to fix kernel module build for
    Linux 6.15.  (Closes: #1107817)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jun 2025 11:18:35 +0200

nvidia-graphics-drivers-legacy-390xx (390.157-12) unstable; urgency=medium

  * Backport drm_driver_has_date changes from 570.124.04 to fix kernel module
    build for Linux 6.14.
  * Backport file_operations_fop_unsigned_offset_present changes from
    535.230.02.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 29 Mar 2025 09:53:19 +0100

nvidia-graphics-drivers-legacy-390xx (390.157-11) unstable; urgency=medium

  * Do not test building modules for the removed i386 kernels.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Jan 2025 21:43:00 +0100

nvidia-graphics-drivers-legacy-390xx (390.157-10) unstable; urgency=medium

  * Backport cmd_symlink changes from 550.142 to fix kernel module build for
    Linux 6.13.
  * Backport drm_output_poll_changed changes from 535.216.01 to fix kernel
    module build for Linux 6.12.  (Closes: #1089522)
  * Backport warning fixes from 396.18, 415.13, 418.30, 430.09, 435.17,
    510.39.01, 535.146.02, 535.216.01 and 560.28.03.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Dec 2024 22:50:00 +0100

nvidia-graphics-drivers-legacy-390xx (390.157-9) unstable; urgency=medium

  * Backport nv_get_kern_phys_address() changes from 555.42.02 to fix kernel
    module build with gcc-14 on arm*.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Nov 2024 09:16:04 +0100

nvidia-graphics-drivers-legacy-390xx (390.157-8) unstable; urgency=medium

  * Backport CONFIG_MITIGATION_RETPOLINE changes from 470.256.02.
  * Backport follow_pfn changes from 550.90.07 to fix kernel module build for
    Linux 6.10.
  * bug-script: Report 'apt-cache policy' (535.183.06-1).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jul 2024 22:29:09 +0200

nvidia-graphics-drivers-legacy-390xx (390.157-7) unstable; urgency=medium

  * Backport drm_unlocked_ioctl_flag_present changes from 470.239.06 to fix
    kernel module build for Linux 6.8.  (Closes: #1071274)
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 May 2024 14:46:16 +0200

nvidia-graphics-drivers-legacy-390xx (390.157-6) unstable; urgency=medium

  * Revert backport of pin_user_pages changes.
  * Backport drm_gem_prime_handle_to_fd changes from 470.223.02 to fix kernel
    module build for Linux 6.6.
  * Refuse to load module if IBT is enabled.  (Closes: #1052069)
  * Switch suggestion from obsolete vulkan-utils to vulkan-tools
    (525.125.06-3).  (Closes: #1055503)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Nov 2023 10:01:19 +0100

nvidia-graphics-drivers-legacy-390xx (390.157-5) unstable; urgency=medium

  * Backport get_user_pages and pin_user_pages changes from 418.30, 520.56.06,
    525.53 and 535.86.05 to fix kernel module build for Linux 6.5.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Aug 2023 02:18:45 +0200

nvidia-graphics-drivers-legacy-390xx (390.157-4) unstable; urgency=medium

  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.  (Closes: #1042892)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Aug 2023 17:08:58 +0200

nvidia-graphics-drivers-legacy-390xx (390.157-3) unstable; urgency=medium

  * Backport vm_area_struct_has_const_vm_flags changes from 470.199.02 to fix
    kernel module build for Linux 6.3.  (Closes: #1038014, #1039015)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Jun 2023 10:01:34 +0200

nvidia-graphics-drivers-legacy-390xx (390.157-2) unstable; urgency=medium

  * Backport acpi_op_remove changes from 470.182.03 to fix kernel module build
    for Linux 6.2.
  * Backport drm_connector_has_override_edid changes from 525.78.01 to fix
    kernel module build for Linux 6.2.  (Closes: #1033376)
  * nvidia-legacy-390xx-alternative: Access kmod config files over a versioned
    symlink (510.108.03-3).
  * Add versioned Provides: nvidia-kernel-dkms-any (515.65.01-1).
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Apr 2023 15:16:26 +0200

nvidia-graphics-drivers-legacy-390xx (390.157-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2022 01:35:41 +0100

nvidia-graphics-drivers-legacy-390xx (390.157-1) unstable; urgency=medium

  * New upstream legacy branch release 390.157 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34680, CVE-2022-42257, CVE-2022-42258, CVE-2022-42259.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
      (Closes: #1025281)
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends (510.108.03-1).
  * Try to compile a kernel module at package build time (510.108.03-1).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 03 Dec 2022 22:17:01 +0100

nvidia-graphics-drivers-legacy-390xx (390.154-2) unstable; urgency=medium


