=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers-legacy-390xx
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 390xx/main
Homepage: https://www.nvidia.com
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.18.8),
 dh-dkms,
 libvulkan1 (>= 1.0.42),
 libxext6 [!ppc64el],
 po-debconf,
 quilt,
 xz-utils,
 linux-headers-amd64 [amd64] <!nocheck>,
 linux-headers-armmp [armhf] <!nocheck>,
 libglvnd-dev,
Testsuite: autopkgtest-pkg-dkms
XS-Autobuild: yes

Package: nvidia-legacy-390xx-driver
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-driver-libs (= ${binary:Version}) | ${nvidia}-driver-libs-nonglvnd (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 lib${nvidia}-cfg1 (= ${binary:Version}),
 nvidia-persistenced,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-driver-any,
 nvidia-glx-any,
Description: NVIDIA metapackage${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-legacy-390xx-alternative
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 dpkg (>= 1.17.21),
 ${nvidia:legacy-check},
 ${misc:Pre-Depends}
Depends:
 glx-alternative-nvidia (>= 0.8.4~) [!ppc64el],
 ${misc:Depends}
Conflicts:
 libgldispatch0-nvidia,
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
Provides:
 nvidia-alternative-any,
 ${nvidia}-alternative--kmod-alias,
Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

Package: nvidia-legacy-390xx-kernel-support
Section: non-free/kernel
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${nvidia}-alternative--kmod-alias,
 nvidia-kernel-common (>= 20151021) [!ppc64el],
 nvidia-modprobe (>= ${nvidia:Version:major}),
 ${misc:Depends}
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Provides:
 nvidia-kernel-support-any,
 ${nvidia-kernel}-support--v1,
Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-legacy-390xx-kernel-dkms
Section: non-free/kernel
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia-kernel}-support--v1,
 ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}) [!ppc64el] | ${libcuda1} (>= ${nvidia:Version}),
Provides:
 ${nvidia-kernel}-${nvidia:Version},
 nvidia-kernel-dkms-any (= ${nvidia:Version}),
Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA binary kernel modules needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-legacy-390xx-kernel-source
Section: non-free/kernel
Architecture: i386 amd64 armhf
Depends:
 debhelper-compat (= ${nvidia:debhelper-compat}),
 module-assistant,
 quilt,
 ${misc:Depends}
Recommends:
 ${nvidia-kernel}-support--v1,
Suggests:
 ${nvidia}-driver (>= ${nvidia:Version}) [!ppc64el],
Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA binary kernel modules
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia-kernel}-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia-kernel}-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: xserver-xorg-video-nvidia-legacy-390xx
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 nvidia-support,
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Description: NVIDIA binary Xorg driver${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-legacy-390xx-driver-bin
Section: non-free/x11
Architecture: i386 amd64 armhf
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Provides:
 nvidia-driver-bin-${nvidia:Version},
Description: NVIDIA driver support binaries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: libnvidia-legacy-390xx-cfg1
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Breaks:
 libgl1-${nvidia}-glx (<< 355.11-5),
Replaces:
 libgl1-${nvidia}-glx (<< 355.11-5),
Provides:
 libnvidia-cfg.so.1 (= ${nvidia:Version}),
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: nvidia-legacy-390xx-driver-libs
Architecture: i386 amd64 armhf
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
 ${nvidia}-egl-icd (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs-i386 (= ${binary:Version}) [amd64],
 libopengl0 | libopengl0-glvnd-nvidia,
 libglx-${nvidia-}0 (= ${binary:Version}),
 libgles-${nvidia-}1 (= ${binary:Version}),
 libgles-${nvidia-}2 (= ${binary:Version}),
 lib${nvidia}-cfg1 (= ${binary:Version}),
 lib${nvidia}-encode1 (= ${binary:Version}),
 ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386],
Conflicts:
 libgldispatch0-nvidia,
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
Breaks:
 ${nvidia}-driver-libs-nonglvnd,
 libgl1-${nvidia}-glx,
 libegl1-${nvidia},
 ${nvidia}-nonglvnd-vulkan-icd,
Provides:
 nvidia-driver-libs-any,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: nvidia-legacy-390xx-driver-libs-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 ${nvidia}-driver-libs (= ${binary:Version}),
 ${misc:Depends}
Conflicts:
 libgl1-${nvidia}-glx-i386,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES 32-bit libraries)${nvidia:VariantDescShort}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL/GLX/EGL/GLES libraries when installing ${nvidia}-driver-libs
 on amd64 with foreign architecture i386 enabled.

Package: nvidia-legacy-390xx-driver-libs-nonglvnd
Architecture: i386 amd64 armhf
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 libegl1-${nvidia} (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs-nonglvnd-i386 (= ${binary:Version}) [amd64],
 libglx-${nvidia-}0 (= ${binary:Version}),
 libgles-${nvidia-}1 (= ${binary:Version}),
 libgles-${nvidia-}2 (= ${binary:Version}),
 lib${nvidia}-cfg1 (= ${binary:Version}),
 ${nvidia}-nonglvnd-vulkan-icd (= ${binary:Version}) [amd64 i386],
Conflicts:
 libgldispatch0-nvidia,
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
Breaks:
 ${nvidia}-driver-libs,
 libgl1-${nvidia}-glvnd-glx,
 ${nvidia}-vulkan-icd,
Provides:
 nvidia-driver-libs-any,
Description: NVIDIA metapackage (non-GLVND OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDescShort}
 This metapackage depends on the (non-GLVND) NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: nvidia-legacy-390xx-driver-libs-nonglvnd-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 ${nvidia}-driver-libs-nonglvnd (= ${binary:Version}),
 ${misc:Depends}
Conflicts:
 libgl1-${nvidia}-glx-i386,
Description: NVIDIA metapackage (non-GLVND OpenGL/EGL etc. 32-bit libraries)${nvidia:VariantDescShort}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
