=== debian/watch ===
version=4

# https://download.nvidia.com/XFree86/Linux-x86/190.36/NVIDIA-Linux-x86-190.36-pkg0.run
# https://download.nvidia.com/XFree86/Linux-x86/256.29/NVIDIA-Linux-x86-256.29.run
# https://download.nvidia.com/XFree86/Linux-x86_64/190.36/NVIDIA-Linux-x86_64-190.36-pkg2.run
# https://download.nvidia.com/XFree86/Linux-x86_64/256.29/NVIDIA-Linux-x86_64-256.29.run
# https://download.nvidia.com/XFree86/Linux-32bit-ARM/319.32/NVIDIA-Linux-armv7l-gnueabihf-319.32.run

opts=component=i386 \
https://download.nvidia.com/XFree86/Linux-x86/(390(?:\.[\d\.\-]+)?)/NVIDIA-Linux-x86-(\d[\d\.\-]*)(?:-pkg0)?\.run

opts=component=amd64 \
https://download.nvidia.com/XFree86/Linux-x86_64/(390(?:\.[\d\.\-]+)?)/NVIDIA-Linux-x86_64-(\d[\d\.\-]*)(?:-pkg2)?\.run

opts=component=armhf \
https://download.nvidia.com/XFree86/Linux-32bit-ARM/(390(?:\.[\d\.\-]+)?)/NVIDIA-Linux-armv7l-gnueabihf-(\d[\d\.\-]*).run
